# [![](resources/hibikis.png)](resources/hibiki.png) Hibiki

Implementation of [Panako](https://github.com/JorenSix/Panako) in Go, and other utilities.

Panako is an acoustic fingerprinting system.

## Dependencies
### Go >= 1.18
### [c-gaborator](https://git.gammaspectra.live/S.O.N.G/c-gaborator) (required by [goborator](https://git.gammaspectra.live/S.O.N.G/goborator))
```shell
git clone --recursive --depth 1 https://git.gammaspectra.live/S.O.N.G/c-gaborator
cd c-gaborator && mkdir build && cd build
cmake .. -DCMAKE_BUILD_TYPE=Release \
-DCMAKE_CXX_FLAGS_RELEASE="-march=native" -DCMAKE_C_FLAGS_RELEASE="-march=native" \
-DCMAKE_INSTALL_PREFIX="/usr"
make
sudo make install
```

### [Kirika](https://git.gammaspectra.live/S.O.N.G/Kirika) dependencies
Collection of audio utilities for decoding/encoding files and streams.

Check its native dependencies that must be installed before usage.
